summaryrefslogtreecommitdiffstats
path: root/Makefile.in
diff options
context:
space:
mode:
authorfche <fche>2006-08-12 05:13:09 +0000
committerfche <fche>2006-08-12 05:13:09 +0000
commit814bc89d4635f101b2c0077598f31aad95ed15b7 (patch)
tree407a49dbaf446af4751f5068607a7fb8dad0611d /Makefile.in
parent6b6d04673a1ef175821afc7d4fabdb496698e8e3 (diff)
downloadsystemtap-steved-814bc89d4635f101b2c0077598f31aad95ed15b7.tar.gz
systemtap-steved-814bc89d4635f101b2c0077598f31aad95ed15b7.tar.xz
systemtap-steved-814bc89d4635f101b2c0077598f31aad95ed15b7.zip
2006-08-12 Frank Ch. Eigler <fche@elastic.org>
* configure.ac, Makefile.am: Descend into testsuite/ directory. Remove local test logic. * configure, Makefile.in: Regenerated. * runtest.sh: Not yet removed. * HACKING: Update for new testsuite layout. 2006-08-12 Frank Ch. Eigler <fche@elastic.org> * all: Reorganized old pass-1..4 tests one dejagnu bucket. Moved over old pass-5 tests, except for disabled syscalls tests. * Makefile (installcheck): New target for running pass-1..5 tests against installed systemtap.
Diffstat (limited to 'Makefile.in')
-rw-r--r--Makefile.in105
1 files changed, 8 insertions, 97 deletions
diff --git a/Makefile.in b/Makefile.in
index 83e13c5e..11a7bbc0 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -46,6 +46,7 @@ bin_PROGRAMS = stap$(EXEEXT)
@BUILD_ELFUTILS_FALSE@stap_DEPENDENCIES =
pkglibexec_PROGRAMS = stpd$(EXEEXT)
noinst_PROGRAMS = loc2c-test$(EXEEXT)
+@BUILD_LKET_B2A_TRUE@am__append_4 = runtime/lket/b2a
subdir = .
DIST_COMMON = README $(am__configure_deps) $(dist_man_MANS) \
$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
@@ -112,7 +113,7 @@ NROFF = nroff
MANS = $(dist_man_MANS)
ETAGS = etags
CTAGS = ctags
-DIST_SUBDIRS = runtime/lket/b2a
+DIST_SUBDIRS = testsuite runtime/lket/b2a
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
@@ -247,23 +248,8 @@ EXTRA_DIST = buildrun.h elaborate.h loc2c.h session.h \
parse.h staptree.h tapsets.h translate.h \
testsuite runtest.sh systemtap.spec runtime tapset
-p = $(srcdir)/testsuite/parse
-s = $(srcdir)/testsuite/sem
-t = $(srcdir)/testsuite/trans
-b = $(srcdir)/testsuite/build
-TESTS = $(wildcard $(p)ok/*.stp) $(wildcard $(p)ko/*.stp) \
- $(wildcard $(s)ok/*.stp) $(wildcard $(s)ko/*.stp) \
- $(wildcard $(t)ok/*.stp) $(wildcard $(t)ko/*.stp) \
- $(wildcard $(b)ok/*.stp) $(wildcard $(b)ko/*.stp)
-
-XFAIL_TESTS = $(wildcard $(p)ko/*.stp) \
- $(wildcard $(s)ko/*.stp) \
- $(wildcard $(t)ko/*.stp) \
- $(wildcard $(b)ko/*.stp)
-
-TESTS_ENVIRONMENT = $(srcdir)/runtest.sh
TEST_COV_DIR = coverage
-@BUILD_LKET_B2A_TRUE@SUBDIRS = runtime/lket/b2a
+SUBDIRS = testsuite $(am__append_4)
all: $(BUILT_SOURCES) config.h
$(MAKE) $(AM_MAKEFLAGS) all-recursive
@@ -849,79 +835,6 @@ GTAGS:
distclean-tags:
-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-check-TESTS: $(TESTS)
- @failed=0; all=0; xfail=0; xpass=0; skip=0; \
- srcdir=$(srcdir); export srcdir; \
- list='$(TESTS)'; \
- if test -n "$$list"; then \
- for tst in $$list; do \
- if test -f ./$$tst; then dir=./; \
- elif test -f $$tst; then dir=; \
- else dir="$(srcdir)/"; fi; \
- if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
- all=`expr $$all + 1`; \
- case " $(XFAIL_TESTS) " in \
- *" $$tst "*) \
- xpass=`expr $$xpass + 1`; \
- failed=`expr $$failed + 1`; \
- echo "XPASS: $$tst"; \
- ;; \
- *) \
- echo "PASS: $$tst"; \
- ;; \
- esac; \
- elif test $$? -ne 77; then \
- all=`expr $$all + 1`; \
- case " $(XFAIL_TESTS) " in \
- *" $$tst "*) \
- xfail=`expr $$xfail + 1`; \
- echo "XFAIL: $$tst"; \
- ;; \
- *) \
- failed=`expr $$failed + 1`; \
- echo "FAIL: $$tst"; \
- ;; \
- esac; \
- else \
- skip=`expr $$skip + 1`; \
- echo "SKIP: $$tst"; \
- fi; \
- done; \
- if test "$$failed" -eq 0; then \
- if test "$$xfail" -eq 0; then \
- banner="All $$all tests passed"; \
- else \
- banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
- fi; \
- else \
- if test "$$xpass" -eq 0; then \
- banner="$$failed of $$all tests failed"; \
- else \
- banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
- fi; \
- fi; \
- dashes="$$banner"; \
- skipped=""; \
- if test "$$skip" -ne 0; then \
- skipped="($$skip tests were not run)"; \
- test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
- dashes="$$skipped"; \
- fi; \
- report=""; \
- if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
- report="Please report to $(PACKAGE_BUGREPORT)"; \
- test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
- dashes="$$report"; \
- fi; \
- dashes=`echo "$$dashes" | sed s/./=/g`; \
- echo "$$dashes"; \
- echo "$$banner"; \
- test -z "$$skipped" || echo "$$skipped"; \
- test -z "$$report" || echo "$$report"; \
- echo "$$dashes"; \
- test "$$failed" -eq 0; \
- else :; fi
-
distdir: $(DISTFILES)
$(am__remove_distdir)
mkdir $(distdir)
@@ -1068,7 +981,6 @@ distcleancheck: distclean
$(distcleancheck_listfiles) ; \
exit 1; } >&2
check-am: all-am
- $(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: $(BUILT_SOURCES)
$(MAKE) $(AM_MAKEFLAGS) check-recursive
all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(MANS) config.h
@@ -1166,11 +1078,11 @@ uninstall-info: uninstall-info-recursive
uninstall-man: uninstall-man1 uninstall-man5
.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
- check-TESTS check-am clean clean-binPROGRAMS clean-generic \
- clean-local clean-noinstPROGRAMS clean-pkglibexecPROGRAMS \
- clean-recursive ctags ctags-recursive dist dist-all dist-bzip2 \
- dist-gzip dist-hook dist-shar dist-tarZ dist-zip distcheck \
- distclean distclean-compile distclean-generic distclean-hdr \
+ check-am clean clean-binPROGRAMS clean-generic clean-local \
+ clean-noinstPROGRAMS clean-pkglibexecPROGRAMS clean-recursive \
+ ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
+ dist-hook dist-shar dist-tarZ dist-zip distcheck distclean \
+ distclean-compile distclean-generic distclean-hdr \
distclean-recursive distclean-tags distcleancheck distdir \
distuninstallcheck dvi dvi-am html html-am info info-am \
install install-am install-binPROGRAMS install-data \
@@ -1229,7 +1141,6 @@ lcov:
clean-local:
rm -f *.gcov *.gcno *.gcda ${PACKAGE_TARNAME}-*.tar.gz
- rm -rf testresults
rm -rf ${PACKAGE_TARNAME}-${PACKAGE_VERSION}
rm -rf $(TEST_COV_DIR)
rm -rf stap.info